/*
* This code is released under the GNU General Public License.  See COPYING for 
* details.  Copyright 2003 John Spray: spray_john@users.sourceforge.net
*/



#ifndef EVENTS_H
#define EVENTS_H

#include <SDL.h>
#include "Player.h"
#include "Game.h"
#include "Camera.h"

class Events{
public:
	Events();
	void HandleEvents();

	void HandleKeysDown(SDL_keysym keysym);

	void HandleKeysUp(SDL_keysym keysym);

	void ToggleGrab();

	Player* keyboardtarget;
	Camera* targetcam;

	Game* game;
};

#endif //EVENTS_H
